RabbitMQ是使用Erlang语言编写的一个高可靠消息队列。

安装Erlang

Erlang的官方网站上下载最新版本的Erlang。目前最新的版本是OTP 18.3

安装之前,确保系统已经安装OpenSSL,如果没有安装过,使用yum安装:

yum install openssl openssl-devel

使用Wget获取Erlang

wget -c http://erlang.org/download/otp_src_18.3.tar.gz

然后解压文件夹

tar zxvf otp_src_18.3.tar.gz

切换到文件夹之后编译安装Erlang

./configure
make && make install

安装完成之后,使用命令erl看看

[root@localhost ~]# erl
Erlang/OTP 18 [erts-7.1] [source] [64-bit] [smp:4:4] [async-threads:10] [hipe] [kernel-poll:false] [dtrace]

Eshell V7.1  (abort with ^G)
1>

安装RabbitMQ

在官网下载最新版本(3.6.1)中的源码包(Source包)。

CentOS上安装依赖文件:

yum install xmlto

下载完成之后解压到目录:

unzip rabbitmq-server-3.6.1.zip

切换到rabbitmq的目录之后安装:

make && make install

安装完成之后,启动的命令会被安装到安装目录的script目录下。执行里面的rabbitmq-server命令RabbitMQ就可以成功启动了。

文章来源于互联网,如有雷同请联系站长删除:CentOS上安装RabbitMQ

发表评论